Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.twitterapime.xauth
Class Token

    java.lang.Object
      com.twitterapime.xauth.Token

    public final class Token

extends java.lang.Object

This class implements an OAuth token.

Since:
  1.3
Version:
  1.0
Author:
  Ernandes Mourao Junior (ernandes@gmail.com)

Constructor Summary
`Token(java.lang.String token, java.lang.String secret)` Create an instance of Token class.

Method Summary
`java.lang.String` | `getSecret()` Get the secret token.
`java.lang.String` | `getToken()` Get the access token.
`static Token` | `parse(java.lang.String accessTokenString)` Parse an access token string and creates a Token object.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Token

    public Token(java.lang.String token,
                 java.lang.String secret)

  Create an instance of Token class.

  Parameters:
    `token` - Access token.
    `secret` - Secret token.
  Throws:
    `java.lang.IllegalArgumentException` - If token/secret is empty or null.

Method Detail

### parse

    public static Token parse(java.lang.String accessTokenString)

  Parse an access token string and creates a Token object.

  Parameters:
    `accessTokenString` - Token string.

### getToken

    public java.lang.String getToken()

  Get the access token.

  Returns:
    Token.

### getSecret

    public java.lang.String getSecret()

  Get the secret token.

  Returns:
    Token.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Twitter API ME Team. All Rights Reserved.